package request

type BroadcastListReq struct {
	PageIndex   int `json:"page_index" form:"page_index"`
	PageSize    int `json:"page_size" form:"page_size"`
	BroadcastId int `json:"broadcast_id" form:"broadcast_id"`
	SectionId   int `json:"section_id" form:"section_id"`
	AuthorId    int `json:"author_id" form:"author_id" description:"我的语音播报作者ID"`
	MineStatus  int `json:"mine_status" form:"mine_status" description:"我的语音播报状态：0-未发布 1-已发布 2-全部"`
}

type AddBroadcastStatisticsReq struct {
	Source      int `json:"source" description:"点击来源,1手机小程序,2pc小程序,3web端"`
	BroadcastId int `json:"broadcast_id" `
}

type BroadcastDetailReq struct {
	BroadcastId int `json:"broadcast_id" form:"broadcast_id" description:"语音播报ID"`
}

type BroadcastMsgSendReq struct {
	BroadcastId int `json:"broadcast_id" description:"语音播报ID"`
}

type SaveBroadcastReq struct {
	BroadcastId   int    `json:"broadcast_id" form:"broadcast_id" description:"语音播报ID"`
	BroadcastName string `json:"broadcast_name" description:"语音标题"`
	SectionId     int    `json:"section_id" form:"section_id" description:"板块ID"`
	SectionName   string `json:"section_name" form:"section_name" description:"板块名称"`
	VarietyId     int    `json:"variety_id" form:"variety_id" description:"品种ID"`
	VarietyName   string `json:"variety_name" form:"variety_name" description:"品种名称"`
	AuthorId      int    `json:"author_id" form:"author_id" description:"作者ID"`
	Author        string `json:"author" form:"author" description:"作者名称"`
	Imgs          string `json:"imgs" form:"imgs" description:"图片,英文逗号拼接"`
	VoiceSeconds  string `json:"voice_seconds" form:"voice_seconds" description:"音频时长"`
	VoiceSize     string `json:"voice_size" form:"voice_size" description:"音频大小"`
	VoiceUrl      string `json:"voice_url" form:"voice_url" description:"音频文件地址"`
}

type PublishBroadcastReq struct {
	BroadcastId    int    `json:"broadcast_id" form:"broadcast_id" description:"语音播报ID"`
	PublishType    int    `json:"publish_type" form:"publish_type" description:"发布类型: 1-发布 2-定时发布"`
	ImgUrl         string `json:"img_url" form:"img_url" description:"分享背景图"`
	PrePublishTime string `json:"pre_publish_time" form:"pre_publish_time" description:"预发布时间"`
}

type BroadcastListCountReq struct {
	AuthorId  int `json:"author_id" form:"author_id" description:"作者ID"`
	SectionId int `json:"section_id" form:"section_id" description:"板块ID"`
}
