package response

// CollectionListResp 问答留言列表接口返回
type CollectionListResp struct {
	List   []*CollectionList `json:"list"`
	Paging *PagingItem       `json:"paging"`
}

// CollectionList 收藏列表
type CollectionList struct {
	CollectionId       int    `description:"收藏ID"`
	CollectionType     int    `description:"收藏类型: 1-研报; 2-视频社区; 3-微路演视频"`
	PrimaryId          int    `description:"不同收藏类型的ID"`
	ExtendId           int    `description:"扩展ID: 如晨周报章节的ID, 大于0则详情页跳转章节详情"`
	Title              string `description:"标题"`
	PublishTime        string `description:"发布时间"`
	CreateTime         string `description:"收藏时间"`
	ClassifyName       string `description:"报告类型名称"`
	ClassifySecondName string `description:"报告二级分类名称"`
	Author             string `description:"作者"`
	ImgUrl             string `description:"图片地址"`
}
