package chart_theme_type

import "time"

// ChartThemeType 图表主题类型
type ChartThemeType struct {
	ChartThemeTypeID    int       `gorm:"primaryKey;column:chart_theme_type_id" json:"-"`           // 图表主题类型id
	ChartTypeName       string    `gorm:"column:chart_type_name" json:"chartTypeName"`              // 类型名称
	ChartType           int       `gorm:"column:chart_type" json:"chartType"`                       // 图表类型
	ChartSource         int       `gorm:"column:chart_source" json:"chartSource"`                   // 图表来源
	DefaultChartThemeID int       `gorm:"column:default_chart_theme_id" json:"defaultChartThemeId"` // 默认使用的主题id
	ModifyTime          time.Time `gorm:"column:modify_time" json:"modifyTime"`                     // 修改时间
	CreateTime          time.Time `gorm:"column:create_time" json:"createTime"`                     // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *ChartThemeType) TableName() string {
	return "chart_theme_type"
}

// ChartThemeTypeColumns get sql column name.获取数据库列名
var ChartThemeTypeColumns = struct {
	ChartThemeTypeID    string
	ChartTypeName       string
	ChartType           string
	ChartSource         string
	DefaultChartThemeID string
	ModifyTime          string
	CreateTime          string
}{
	ChartThemeTypeID:    "chart_theme_type_id",
	ChartTypeName:       "chart_type_name",
	ChartType:           "chart_type",
	ChartSource:         "chart_source",
	DefaultChartThemeID: "default_chart_theme_id",
	ModifyTime:          "modify_time",
	CreateTime:          "create_time",
}
