package yb_activity_remind

import "time"

// YbActivityRemind 活动提醒表
type YbActivityRemind struct {
	ActivityRemindID uint32    `gorm:"primaryKey;column:activity_remind_id;type:int(11) unsigned;not null" json:"activityRemindId"`
	ActivityID       uint32    `gorm:"index:inx_activity_id;column:activity_id;type:int(11) unsigned;not null;default:0" json:"activityId"` // 活动ID
	UserID           uint64    `gorm:"index:inx_user_id;column:user_id;type:bigint(20) unsigned;not null;default:0" json:"userId"`          // 微信用户表ID
	CompanyID        uint64    `gorm:"column:company_id;type:bigint(20) unsigned;not null;default:0" json:"companyId"`                      // 用户ID
	RealName         string    `gorm:"column:real_name;type:varchar(32);not null;default:''" json:"realName"`                               // 用户实际名称
	Mobile           string    `gorm:"column:mobile;type:varchar(32);not null;default:''" json:"mobile"`                                    // 用户手机号
	CreateTime       time.Time `gorm:"column:create_time;type:timestamp;not null;default:CURRENT_TIMESTAMP" json:"createTime"`              // 创建时间
}

// TableName get sql table name.获取数据库表名
func (m *YbActivityRemind) TableName() string {
	return "yb_activity_remind"
}

// YbActivityRemindColumns get sql column name.获取数据库列名
var YbActivityRemindColumns = struct {
	ActivityRemindID string
	ActivityID       string
	UserID           string
	CompanyID        string
	RealName         string
	Mobile           string
	CreateTime       string
}{
	ActivityRemindID: "activity_remind_id",
	ActivityID:       "activity_id",
	UserID:           "user_id",
	CompanyID:        "company_id",
	RealName:         "real_name",
	Mobile:           "mobile",
	CreateTime:       "create_time",
}
