package yb_community_video_play_log

import "time"

// YbCommunityVideoPlayLog 研报视频社区播放记录表
type YbCommunityVideoPlayLog struct {
	ID               int       `gorm:"primaryKey;column:id;type:bigint(20) unsigned;not null" json:"-"`
	CommunityVideoID int       `gorm:"index:idx_community_video_id;column:community_video_id;type:int(10) unsigned;not null" json:"communityVideoId"` // 回答音频ID
	UserID           int       `gorm:"index:idx_user_id;column:user_id;type:int(10) unsigned;not null;default:0" json:"userId"`                       // 点击音频的用户ID
	Mobile           string    `gorm:"column:mobile;type:varchar(30);not null;default:''" json:"mobile"`                                              // 手机号
	RealName         string    `gorm:"column:real_name;type:varchar(100);not null;default:''" json:"realName"`                                        // 真实姓名
	NickName         string    `gorm:"column:nick_name;type:varchar(100);not null;default:''" json:"nickName"`                                        // 昵称
	CompanyID        int       `gorm:"column:company_id;type:int(10) unsigned;not null;default:0" json:"companyId"`                                   // 客户ID
	CompanyName      string    `gorm:"column:company_name;type:varchar(100);not null;default:''" json:"companyName"`                                  // 客户名称
	CompanyStatus    string    `gorm:"column:company_status;type:varchar(30);not null;default:''" json:"companyStatus"`                               // 客户状态
	SourceAgent      int       `gorm:"column:source_agent;type:tinyint(4) unsigned;not null;default:1" json:"sourceAgent"`                            // 操作来源，1：小程序，2：小程序 pc 3:弘则研究公众号，4:web pc
	SellerID         int       `gorm:"column:seller_id;type:int(11)" json:"sellerId"`
	Type             int8      `gorm:"column:type;type:tinyint(4); unsigned;not null;default:1" json:"type"`         //统计类型（1 视频社区，2 路演视频）
	CreateTime       time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"createTime"` // 创建时间
	StopSeconds      int       `gorm:"column:stop_seconds" json:"stop_seconds"`                                      //停止时的秒数
}

// TableName get sql table name.获取数据库表名
func (m *YbCommunityVideoPlayLog) TableName() string {
	return "yb_community_video_play_log"
}

// YbCommunityVideoPlayLogColumns get sql column name.获取数据库列名
var YbCommunityVideoPlayLogColumns = struct {
	ID               string
	CommunityVideoID string
	UserID           string
	Mobile           string
	RealName         string
	NickName         string
	CompanyID        string
	CompanyName      string
	CompanyStatus    string
	SourceAgent      string
	CreateTime       string
	StopSeconds      string
}{
	ID:               "id",
	CommunityVideoID: "community_video_id",
	UserID:           "user_id",
	Mobile:           "mobile",
	RealName:         "real_name",
	NickName:         "nick_name",
	CompanyID:        "company_id",
	CompanyName:      "company_name",
	CompanyStatus:    "company_status",
	SourceAgent:      "source_agent",
	CreateTime:       "create_time",
	StopSeconds:      "stop_seconds",
}
