package yb_price_driven_tag

import "time"

// YbPriceDrivenTag 研报价格驱动标签表
type YbPriceDrivenTag struct {
	ID             int       `gorm:"primaryKey;column:id;type:int(10) unsigned;not null" json:"-"`
	VarietyTagID   int       `gorm:"unique;column:variety_tag_id;type:int(10) unsigned;not null;default:0" json:"varietyTagId"` // 标签ID
	VarietyTagName string    `gorm:"column:variety_tag_name;type:varchar(100);not null;default:''" json:"varietyTagName"`       // 标签名称
	State          int       `gorm:"column:state;type:tinyint(4) unsigned;not null;default:1" json:"state"`                     // 状态：0-禁用 1-开启
	CreateTime     time.Time `gorm:"column:create_time;type:datetime;default:CURRENT_TIMESTAMP" json:"createTime"`
	ModifyTime     time.Time `gorm:"column:modify_time;type:datetime;default:CURRENT_TIMESTAMP" json:"modifyTime"`
}

// TableName get sql table name.获取数据库表名
func (m *YbPriceDrivenTag) TableName() string {
	return "yb_price_driven_tag"
}

// YbPriceDrivenTagColumns get sql column name.获取数据库列名
var YbPriceDrivenTagColumns = struct {
	ID             string
	VarietyTagID   string
	VarietyTagName string
	State          string
	CreateTime     string
	ModifyTime     string
}{
	ID:             "id",
	VarietyTagID:   "variety_tag_id",
	VarietyTagName: "variety_tag_name",
	State:          "state",
	CreateTime:     "create_time",
	ModifyTime:     "modify_time",
}
